Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Zero Amount Authorizations


Account verification with zero amount authorization is a standard e-commerce practice where you send a zero amount transaction to verify a card is valid and whether the card is lost or stolen. You cannot capture a zero amount authorization.

Most card networks refer to card account validation as zero amount authorization (ZAA). These card networks have their own names for the service:

  • Discover Zero Dollar Authorization
  • Visa Account Verification

Supported Processors

  • Chase Paymentech Solutions
  • Elavon Americas
  • FDC Nashville Global
  • Fiserv RapidConnect
  • Streamline
  • Worldpay VAP

Processor-Specific Information

Chase Paymentech Solutions
  • AVS and CVN are supported.
  • Card types: American Express, Diners Club, Mastercard, Visa
Elavon Americas
  • AVS and CVN are supported.
  • Card types: American Express, China UnionPay, Diners Club, Discover, JCB, Mastercard, Visa
FDC Nashville Global
  • AVS and CVN are supported. CVN is not supported for American Express.
  • Card types: American Express, Diners Club, Discover, Mastercard, Visa
  • Discover and Diners Club—only USD is supported for zero amount authorizations.
  • American Express, Mastercard, and Visa—all currencies that are supported for standard authorizations are also supported for zero amount authorizations.
Streamline
  • AVS and CVN are supported.
  • Card types: JCB (no 3-D Secure), Maestro (International), Maestro (UK Domestic), Mastercard, Visa
  • All currencies that are supported for standard authorizations for Streamline are also supported for zero amount authorizations.
Visa Platform Connect
  • AVS and CVN are supported.
  • Card types: Mastercard, Visa
  • Supported for Internet, MOTO, and card-present transactions. Do not try to perform a zero amount authorization for a recurring payment, installment payment, or payer authorization transaction.
Worldpay VAP
  • AVS and CVN are supported.
  • Card types: American Express, Diners Club, Discover, JCB, Mastercard, Visa

Merchant Category Codes

When your business signs up with , assigns your account a merchant category code (MCC) based on your primary business type. sends this MCC to the card networks with every transaction you process. If you process a transaction that is unrelated to your usual goods or services, include the merchantInformation.categoryCode field and set it to the relevant MCC. and FDC Nashville Global do not validate the MCC you send. Using an incorrect MCC can result in increased decline rates, interchange downgrades, or fines. To verify the correct MCC, contact your account manager.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

POST /pts/v2/payments

POST /pts/v2/payments

POST /pts/v2/payments

Example

Standard Example

{  "orderInformation": {    "billTo": {      "country": "US",      "lastName": "Kim",      "address1": "201 S. Division St.",      "postalCode": "48104-2201",      "locality": "Ann Arbor",      "administrativeArea": "MI",      "firstName": "Kyong-Jin",      "email": "[email protected]"    },    "amountDetails": {      "totalAmount": "0.00",      "currency": "usd"    }  },  "paymentInformation": {    "card": {      "expirationYear": "2030",      "number": "CARD_NUMBER",      "expirationMonth": "12"    }  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/6461731521426399003473/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/6461731521426399003473"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/6461731521426399003473/captures"    }  },  "clientReferenceInformation": {    "code": "1646173152047"  },  "id": "6461731521426399003473",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "0",      "currency": "usd"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "tokenizedCard": {      "type": "001"    },    "card": {      "type": "001"    }  },  "processorInformation": {    "systemTraceAuditNumber": "862481",    "approvalCode": "831000",    "merchantAdvice": {      "code": "01",      "codeRaw": "M001"    },    "responseDetails": "ABC",    "networkTransactionId": "016153570198200",    "consumerAuthenticationResponse": {      "code": "2",      "codeRaw": "2"    },    "transactionId": "016153570198200",    "responseCode": "00",    "avs": {      "code": "Y",      "codeRaw": "Y"    }  },  "reconciliationId": "6461731521426399003473",  "status": "AUTHORIZED",  "submitTimeUtc": "2026-03-01T22:19:12Z"}

Fiserv RapidConnect Example

{  "clientReferenceInformation": {    "code": "1234567890",    "reconcilationId": "000000050000752"  },  "processingInformation": {    "actionList": [      "TOKEN_CREATE"    ],    "actionTokenTypes": [      "customer",      "paymentInstrument",      "shippingAddress"    ]  },  "orderInformation": {    "billTo": {      "country": "US",      "firstName": "John",      "lastName": "Smith",      "phoneNumber": "650-965-6111",      "address2": "Room 2-2123",      "address1": "600 Morgan Falls Road",      "postalCode": "94566",      "locality": "Atlanta",      "administrativeArea": "MI",      "email": "[email protected]"    },    "amountDetails": {      "totalAmount": "0",      "currency": "USD"    }  },  "paymentInformation": {    "card": {      "expirationYear": "2030",      "number": "CARD_NUMBER",      "expirationMonth": "12",      "type": "001"    }  }}
{  "embeddedActions": {    "TOKEN_CREATE": {      "status": "SUCCESS"    }  },  "paymentInformation": {    "bin": "411111",    "issuer": "CONOTOXIA SP. Z O.O",    "binCountry": "PL",    "accountType": "Visa Classic",    "cardBrand": "VISA",    "cardType": "001"  },  "submitTimeUtc": "2026-03-10T18:38:09Z",  "processorInformation": {    "approvalCode": "OK1272",    "responseCodeSource": "4",    "networkTransactionId": "0014239537635196CN",    "responseCode": "000"  },  "_links": {    "capture": {      "href": "/pts/v2/payments/7416318895663232235535/captures",      "method": "POST"    },    "reversal": {      "href": "/pts/v2/payments/7416318895663232235535/reversals",      "method": "POST"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/7416318895663232235535"    }  },  "consumerAuthenticationResponse": {    "systemTraceAuditNumber": "500016",    "merchantNumber": "RCTST1000107085"  },  "orderInformation": {    "amountDetails": {      "authorizedAmount": "0000000000.00"    }  },  "message": "Successful transaction.",  "clientReferenceInformation": {    "code": "001234567890"  },  "reconciliationId": "000000050000752",  "pointOfSaleInformation": {    "terminalId": "00000001"  },  "id": "7416318895663232235535",  "status": "AUTHORIZED",  "tokenInformation": {    "instrumentIdentifierNew": false,    "customer": {      "id": "300220A7824EF32AE0634136CF0A7425"    },    "instrumentIdentifier": {      "id": "7018759999957811111",      "state": "ACTIVE"    },    "paymentInstrument": {      "id": "300220A78257F32AE0634136CF0A7425"    },    "shippingAddress": {      "id": "300220A7825AF32AE0634136CF0A7425"    }  }}

Required Fields

Default Fields

These fields are required when processing a zero amount authorization.

FieldDescription
clientReferenceInformation.transactionId—
merchantInformation.transactionLocalDateTime—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmountSet this value to 0.
orderInformation.billTo.address1—
orderInformation.billTo.administrativeArea—
orderInformation.billTo.country—
orderInformation.billTo.email—
orderInformation.billTo.firstName—
orderInformation.billTo.lastName—
orderInformation.billTo.locality—
orderInformation.billTo.postalCode—
paymentInformation.card.expirationMonth—
paymentInformation.card.expirationYear—
paymentInformation.card.number—

Processor-Specific Required Fields

Visa Platform Connect Required Fields

In addition to the default required fields, Visa Platform Connect requires this field:

FieldDescription
processingInformation.authorizationOptions.cardVerificationIndicatorSet the value to true.

Fiserv RapidConnect Required Fields

In addition to the default required fields, Fiserv RapidConnect requires these fields:

FieldDescription
clientReferenceInformation.codeOrder reference or tracking number. Provide a unique value for each transaction so that you can perform meaningful searches for the transaction.
clientReferenceInformation.reconciliationId—
orderInformation.billTo.address2—
orderInformation.billTo.phoneNumber—
processingInformation.actionListSet the value to TOKEN_CREATE.
processingInformation.actionTokenTypesSet to one or more of these values: customer, paymentInstrument, shippingAddress.

Country-Specific Required Fields

Use these country-specific required fields to process a zero amount authorization.

Argentina

FieldDescription
merchantInformation.taxIdRequired for Mastercard transactions.
merchantInformation.transactionLocalDateTimeRequired in Argentina when the time zone is not included in your account. Otherwise, this field is optional.

Brazil

FieldDescription
paymentInformation.card.sourceAccountTypeRequired for combo card transactions.
paymentInformation.card.sourceAccountTypeDetailsRequired for combo card line-of-credit and prepaid-card transactions.

Saudi Arabia

FieldDescription
processingInformation.authorizationOptions.transactionMode—

Taiwan

FieldDescription
paymentInformation.card.hashedNumber—

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.